require 'mongo'

module MongoDB
  class Connector
    def initialize(host,port)
      @mongo_client = Mongo::MongoClient.new(host, port)
    end

    def insert(dbname, collection, doc)
      # Connect to a specific DB within mongo
      db = @mongo_client.db(dbname)

      # Set the schema/collection in the db chosen
      coll = db.collection(collection)

      # Create a document that needs to be inserted in the collection
      # doc = {"name" => "MongoDB", "type" => "database", "count" => 1, "info" => {"x" => 203, "y" => '102'}}

      # Perform the insert
      id = coll.insert(doc)
    end

    def select(dbname, collection)
      # Connect to a specific DB within mongo
      db = @mongo_client.db(dbname)

      # Set the schema/collection in the db chosen
      coll = db.collection(collection)

      # Query the collection to view all the documents.
      coll.find.each { |row| puts row.inspect }
    end
  end
end